[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCommonDialog.OnDialogResult (platform)

Event handler signalled when a result is available for the dialog.

## Declaration

Source position: dialogs.pp line 116

`protected property TCommonDialog.OnDialogResult : TDialogResultEvent read FOnDialogResult write FOnDialogResult;`

## Description

OnDialogResult is a TDialogResultEvent property with the event handler signalled when a result is available for the dialog.

OnDialogResult is a platform-specific property, and may not be used in all widgetsets. It provides a way for platforms which use native dialogs in their implementation to notify the dialog that a result is available.

## See also

TDialogResultEvent |  | Specifies an event signalled when a result is returned in a dialog.